<%@ Page Language="C#" AutoEventWireup="true" CodeFile="RadGridClickEvents.aspx.cs" Inherits="RadGridClickEvents" %>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">

<html xmlns="http://www.w3.org/1999/xhtml">
<head runat="server">
    <title></title>
    <script>
        function RowClick()
        {
            console.log("RowClick");
        }

        function RowDbClick()
        {
            console.log("RowDbClick");
        }

        function divClick()
        {
            console.log("divClick");
        }

        function divDbClick()
        {
            console.log("divDbClick");
        }
    </script>
</head>
<body>
    <form id="form1" runat="server">
    <div>
        <telerik:RadScriptManager ID="RadScriptManager1" runat="server">
        </telerik:RadScriptManager>
        <telerik:RadGrid ID="RadGrid1" runat="server" 
            onneeddatasource="RadGrid1_NeedDataSource">
            <ClientSettings>
                <ClientEvents OnRowClick="RowClick" OnRowDblClick="RowDbClick" />
            </ClientSettings>
        </telerik:RadGrid>
        <div style="width: 100px; height: 100px; background-color: Red;" onclick="divClick()" ondblclick="divDbClick()">
        </div>
    </div>
    </form>
</body>
</html>
